For the complete documentation index, see llms.txt. This page is also available as Markdown.

MoProduct

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getMoProduct

post

Retrieve MoProduct parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getMoProduct
POST /nexum/627/2022.01/parameter/getMoProduct HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MoProduct": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getMoProduct"
}

getMoProductSelectFields

post

Retrieve MoProduct parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getMoProductSelectFields
POST /nexum/627/2022.01/parameter/getMoProductSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 253

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "MoProductFields": {
      "CreateCheckRecord": true,
      "NumberofProducts": true,
      "ProductDescription": [
        1
      ]
    }
  }
}
200

Successful operation.

{
  "MoProduct": {
    "CreateCheckRecord": false,
    "NumberofProducts": 1,
    "ProductDescription": [
      {
        "EntryId": 1,
        "ProductDescription": "Money Orders"
      }
    ]
  },
  "MessageId": "getMoProductSelectFields"
}

updateMoProductByID

post

Update MoProduct parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/updateMoProductByID
POST /nexum/627/2022.01/parameter/updateMoProductByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 203

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "MoProductUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateMoProductByID"
}

Last updated

Was this helpful?